/***************************************************************
 * Name:      eettrzbadialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#ifndef EETTRZBADIALOG_H
#define EETTRZBADIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/spinctrl.h>
#include "eet/eet.h"
#include "model/dbmodel.h"

class EettrzbaDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(EettrzbaDialog)
    DECLARE_EVENT_TABLE()
public:
    EettrzbaDialog() : m_mainSizer(nullptr), m_celkem(nullptr), m_zaklNepodlDph(nullptr), m_zaklDan1(nullptr), m_dan1(nullptr), m_zaklDan2(nullptr), m_dan2(nullptr), m_zaklDan3(nullptr), m_dan3(nullptr),
    m_cestSluz(nullptr), m_pouzitZboz1(nullptr), m_pouzitZboz2(nullptr), m_pouzitZboz3(nullptr), m_urcenoCerpZuct(nullptr), m_cerpZuct(nullptr) {}
    explicit EettrzbaDialog(wxWindow *parent, const EetData &data, const wxString &pokladna, int fakturaid, int zavpohid, bool platce, wxString const &dphdruh);
private:
    EetData m_data;
    wxString m_pokladna;
    wxBoxSizer *m_mainSizer;
    wxStaticText *m_celkem;
    int m_fakturaid;
    int m_zavpohid;
    bool m_platce;
    wxString m_dphdruh;
    wxStaticText *m_zaklNepodlDph;
    wxStaticText *m_zaklDan1;
    wxStaticText *m_dan1;
    wxStaticText *m_zaklDan2;
    wxStaticText *m_dan2;
    wxStaticText *m_zaklDan3;
    wxStaticText *m_dan3;
    wxSpinCtrlDouble *m_cestSluz;
    wxSpinCtrlDouble *m_pouzitZboz1;
    wxSpinCtrlDouble *m_pouzitZboz2;
    wxSpinCtrlDouble *m_pouzitZboz3;
    wxSpinCtrlDouble *m_urcenoCerpZuct;
    wxSpinCtrlDouble *m_cerpZuct;

    void createControls();
    void OnSend(wxCommandEvent& event);
    void OnLater(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
};

#endif  /* EETTRZBADIALOG_H */

