/***************************************************************
 * Name:      eettrzbydialog.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#ifndef EETTRZBYDIALOG_H
#define EETTRZBYDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/listctrl.h>
#include <wx/imaglist.h>
#include "model/dbmodel.h"

class EettrzbyDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(EettrzbyDialog)
    DECLARE_EVENT_TABLE()
public:
    EettrzbyDialog() : m_mainSizer(nullptr), m_list(nullptr), m_bar(nullptr), m_neodeslane(nullptr), m_fromto(nullptr) {}
    explicit EettrzbyDialog(wxWindow *parent);
private:
    wxBoxSizer *m_mainSizer;
    wxListCtrl *m_list;
    wxScopedPtr<wxImageList> m_imageList;
    dxEetTrzbaArray m_trzby;
    wxToolBar *m_bar;
    wxCheckBox *m_neodeslane;
    wxRadioBox *m_fromto;

    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnExport(wxCommandEvent& event);
    void OnNeodeslane(wxCommandEvent& event);
    void OnFromTo(wxCommandEvent& event);
    void OnItemRightClick(wxListEvent &event);
    void OnSend(wxCommandEvent& event);
    void OnPrintTrzba(wxCommandEvent& event);
    void fillList();
};

#endif  /* EETTRZBYDIALOG_H */

