/***************************************************************
 * Name:      eetsettings.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#include "eetsettings.h"

EetSettings::EetSettings(int provozovna, const wxString &cert, const wxString &pass, REZIM rezim, const wxDateTime &od, const wxString &dicpoverujiciho)
    : m_provozovna(provozovna), m_cert(cert), m_pass(pass), m_rezim(rezim), m_od(od), m_dicpoverujiciho(dicpoverujiciho)
{
}

bool EetSettings::isValid() const
{
    return m_provozovna != -1;
}

int EetSettings::provozovna() const
{
    return m_provozovna;
}

void EetSettings::setProvozovna(int provozovna)
{
    m_provozovna = provozovna;
}

wxString EetSettings::cert() const
{
    return m_cert;
}

void EetSettings::setCert(const wxString &cert)
{
    m_cert = cert;
}

wxString EetSettings::pass() const
{
    return m_pass;
}

void EetSettings::setPass(const wxString &pass)
{
    m_pass = pass;
}

wxDateTime EetSettings::od() const
{
    return m_od;
}

void EetSettings::setOd(const wxDateTime &od)
{
    m_od = od;
}

wxString EetSettings::dicpoverujiciho() const
{
    return m_dicpoverujiciho;
}

void EetSettings::setDicpoverujiciho(const wxString &dicpoverujiciho)
{
    m_dicpoverujiciho = dicpoverujiciho;
}

REZIM EetSettings::rezim() const
{
    return m_rezim;
}

void EetSettings::setRezim(const REZIM &rezim)
{
    m_rezim = rezim;
}
