/***************************************************************
 * Name:      eetsettings.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#ifndef EETSETTINGS_H
#define EETSETTINGS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "eet/eet.h"

class EetSettings {
public:
    EetSettings() : m_provozovna(-1), m_rezim(STANDARDNI), m_od(1, wxDateTime::Mar, 2017) {}
    EetSettings(int provozovna, const wxString &cert, const wxString &pass,
        REZIM rezim, const wxDateTime &od, const wxString &dicpoverujiciho);

    bool isValid() const;
    int provozovna() const;
    void setProvozovna(int provozovna);
    wxString cert() const;
    void setCert(const wxString &cert);
    wxString pass() const;
    void setPass(const wxString &pass);
    wxDateTime od() const;
    void setOd(const wxDateTime &od);
    wxString dicpoverujiciho() const;
    void setDicpoverujiciho(const wxString &dicpoverujiciho);
    REZIM rezim() const;
    void setRezim(const REZIM &rezim);
private:
    int m_provozovna;
    wxString m_cert;
    wxString m_pass;
    REZIM m_rezim;
    wxDateTime m_od;
    wxString m_dicpoverujiciho;
};

#endif  /* EETSETTINGS_H */

