/***************************************************************
 * Name:      eettrzba.cpp
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#include "eettrzba.h"
#include "utils/dxutils.h"
#include "model/dbmodel.h"

EetTrzba::EetTrzba(int id, bool odeslana, bool later, ZASLANI prvni_zaslani, const wxString &dic_popl, const wxString &dic_poverujiciho, int id_provoz,
                   const wxString &id_pokl, const wxString &porad_cis, const wxDateTime &dat_trzby, double celk_trzba, const wxString &zakl_nepodl_dph,
                   const wxString &zakl_dan1, const wxString &dan1, const wxString &zakl_dan2, const wxString &dan2, const wxString &zakl_dan3, const wxString &dan3,
                   const wxString &cest_sluz, const wxString &pouzit_zboz1, const wxString &pouzit_zboz2, const wxString &pouzit_zboz3, const wxString &urceno_cerp_zuct,
                   const wxString &cerp_zuct, REZIM rezim, const wxString &pkp, const wxString &bkp, const wxString &fik, int fakturaid, int zavpohid)
    : m_id(id), m_odeslana(odeslana), m_later(later), m_prvniZaslani(prvni_zaslani), m_dicPopl(dic_popl), m_dicPoverujiciho(dic_poverujiciho), m_idProvoz(id_provoz), m_idPokl(id_pokl), m_poradCis(porad_cis),
      m_datTrzby(dat_trzby), m_celkTrzba(celk_trzba), m_zaklNepodlDph(zakl_nepodl_dph), m_zaklDan1(zakl_dan1), m_dan1(dan1), m_zaklDan2(zakl_dan2), m_dan2(dan2), m_zaklDan3(zakl_dan3), m_dan3(dan3),
      m_cestSluz(cest_sluz), m_pouzitZboz1(pouzit_zboz1), m_pouzitZboz2(pouzit_zboz2), m_pouzitZboz3(pouzit_zboz3), m_urcenoCerpZuct(urceno_cerp_zuct), m_cerpZuct(cerp_zuct), m_rezim(rezim),
      m_pkp(pkp), m_bkp(bkp), m_fik(fik), m_fakturaid(fakturaid), m_zavpohid(zavpohid)
{
}

bool EetTrzba::isValid() const
{
    return m_id != -1;
}

int EetTrzba::id() const
{
    return m_id;
}

void EetTrzba::setId(int id)
{
    m_id = id;
}

bool EetTrzba::odeslana() const
{
    return m_odeslana;
}

void EetTrzba::setOdeslana(bool odeslana)
{
    m_odeslana = odeslana;
}

ZASLANI EetTrzba::prvniZaslani() const
{
    return m_prvniZaslani;
}

void EetTrzba::setPrvniZaslani(const ZASLANI &prvniZaslani)
{
    m_prvniZaslani = prvniZaslani;
}

wxString EetTrzba::dicPopl() const
{
    return m_dicPopl;
}

void EetTrzba::setDicPopl(const wxString &dicPopl)
{
    m_dicPopl = dicPopl;
}

wxString EetTrzba::dicPoverujiciho() const
{
    return m_dicPoverujiciho;
}

void EetTrzba::setDicPoverujiciho(const wxString &dicPoverujiciho)
{
    m_dicPoverujiciho = dicPoverujiciho;
}

int EetTrzba::idProvoz() const
{
    return m_idProvoz;
}

void EetTrzba::setIdProvoz(int idProvoz)
{
    m_idProvoz = idProvoz;
}

wxString EetTrzba::idPokl() const
{
    return m_idPokl;
}

void EetTrzba::setIdPokl(const wxString &idPokl)
{
    m_idPokl = idPokl;
}

wxString EetTrzba::poradCis() const
{
    return m_poradCis;
}

void EetTrzba::setPoradCis(const wxString &poradCis)
{
    m_poradCis = poradCis;
}

wxDateTime EetTrzba::datTrzby() const
{
    return m_datTrzby;
}

void EetTrzba::setDatTrzby(const wxDateTime &datTrzby)
{
    m_datTrzby = datTrzby;
}

double EetTrzba::celkTrzba() const
{
    return m_celkTrzba;
}

void EetTrzba::setCelkTrzba(double celkTrzba)
{
    m_celkTrzba = celkTrzba;
}

wxString EetTrzba::zaklNepodlDph() const
{
    return m_zaklNepodlDph;
}

void EetTrzba::setZaklNepodlDph(const wxString &zaklNepodlDph)
{
    m_zaklNepodlDph = zaklNepodlDph;
}

wxString EetTrzba::zaklDan1() const
{
    return m_zaklDan1;
}

void EetTrzba::setZaklDan1(const wxString &zaklDan1)
{
    m_zaklDan1 = zaklDan1;
}

wxString EetTrzba::dan1() const
{
    return m_dan1;
}

void EetTrzba::setDan1(const wxString &dan1)
{
    m_dan1 = dan1;
}

wxString EetTrzba::zaklDan2() const
{
    return m_zaklDan2;
}

void EetTrzba::setZaklDan2(const wxString &zaklDan2)
{
    m_zaklDan2 = zaklDan2;
}

wxString EetTrzba::dan2() const
{
    return m_dan2;
}

void EetTrzba::setDan2(const wxString &dan2)
{
    m_dan2 = dan2;
}

wxString EetTrzba::zaklDan3() const
{
    return m_zaklDan3;
}

void EetTrzba::setZaklDan3(const wxString &zaklDan3)
{
    m_zaklDan3 = zaklDan3;
}

wxString EetTrzba::dan3() const
{
    return m_dan3;
}

void EetTrzba::setDan3(const wxString &dan3)
{
    m_dan3 = dan3;
}

wxString EetTrzba::cestSluz() const
{
    return m_cestSluz;
}

void EetTrzba::setCestSluz(const wxString &cestSluz)
{
    m_cestSluz = cestSluz;
}

wxString EetTrzba::pouzitZboz1() const
{
    return m_pouzitZboz1;
}

void EetTrzba::setPouzitZboz1(const wxString &pouzitZboz1)
{
    m_pouzitZboz1 = pouzitZboz1;
}

wxString EetTrzba::pouzitZboz2() const
{
    return m_pouzitZboz2;
}

void EetTrzba::setPouzitZboz2(const wxString &pouzitZboz2)
{
    m_pouzitZboz2 = pouzitZboz2;
}

wxString EetTrzba::pouzitZboz3() const
{
    return m_pouzitZboz3;
}

void EetTrzba::setPouzitZboz3(const wxString &pouzitZboz3)
{
    m_pouzitZboz3 = pouzitZboz3;
}

wxString EetTrzba::urcenoCerpZuct() const
{
    return m_urcenoCerpZuct;
}

void EetTrzba::setUrcenoCerpZuct(const wxString &urcenoCerpZuct)
{
    m_urcenoCerpZuct = urcenoCerpZuct;
}

wxString EetTrzba::cerpZuct() const
{
    return m_cerpZuct;
}

void EetTrzba::setCerpZuct(const wxString &cerpZuct)
{
    m_cerpZuct = cerpZuct;
}

REZIM EetTrzba::rezim() const
{
    return m_rezim;
}

void EetTrzba::setRezim(const REZIM &rezim)
{
    m_rezim = rezim;
}

wxString EetTrzba::pkp() const
{
    return m_pkp;
}

void EetTrzba::setPkp(const wxString &pkp)
{
    m_pkp = pkp;
}

wxString EetTrzba::bkp() const
{
    return m_bkp;
}

void EetTrzba::setBkp(const wxString &bkp)
{
    m_bkp = bkp;
}

wxString EetTrzba::fik() const
{
    return m_fik;
}

void EetTrzba::setFik(const wxString &fik)
{
    m_fik = fik;
}

int EetTrzba::fakturaid() const
{
    return m_fakturaid;
}

void EetTrzba::setFakturaid(int fakturaid)
{
    m_fakturaid = fakturaid;
}

int EetTrzba::zavpohid() const
{
    return m_zavpohid;
}

void EetTrzba::setZavpohid(int zavpohid)
{
    m_zavpohid = zavpohid;
}

void EetTrzba::setEetdata(const EetData &data)
{
    m_prvniZaslani = data.getPrvniZaslani();
    m_poradCis = dxutils::fromStdString(data.getPoradCis());
    m_datTrzby = idbmodel->datumTrzbyToDateTime(data.getDatTrzby());
    m_celkTrzba = dxutils::toCDouble(data.getCelkTrzba());
    m_zaklNepodlDph = dxutils::fromStdString(data.getZaklNepodlDph());
    m_zaklDan1 = dxutils::fromStdString(data.getZaklDan1());
    m_dan1 = dxutils::fromStdString(data.getDan1());
    m_zaklDan2 = dxutils::fromStdString(data.getZaklDan2());
    m_dan2 = dxutils::fromStdString(data.getDan2());
    m_zaklDan3 = dxutils::fromStdString(data.getZaklDan3());
    m_dan3 = dxutils::fromStdString(data.getDan3());
    m_cestSluz = dxutils::fromStdString(data.getCestSluz());
    m_pouzitZboz1 = dxutils::fromStdString(data.getPouzitZboz1());
    m_pouzitZboz2 = dxutils::fromStdString(data.getPouzitZboz2());
    m_pouzitZboz3 = dxutils::fromStdString(data.getPouzitZboz3());
    m_urcenoCerpZuct = dxutils::fromStdString(data.getUrcenoCerpZuct());
    m_cerpZuct = dxutils::fromStdString(data.getCerpZuct());
}

bool EetTrzba::later() const
{
    return m_later;
}

void EetTrzba::setLater(bool later)
{
    m_later = later;
}

bool operator==(const EetTrzba &t1, const EetTrzba &t2)
{
    return t1.m_poradCis == t2.m_poradCis &&
            t1.m_datTrzby.IsSameDate(t2.m_datTrzby) &&
            dxutils::isSameDouble(t1.m_celkTrzba, t2.m_celkTrzba) &&
            t1.m_zaklNepodlDph == t2.m_zaklNepodlDph &&
            t1.m_zaklDan1 == t2.m_zaklDan1 &&
            t1.m_dan1 == t2.m_dan1 &&
            t1.m_zaklDan2 == t2.m_zaklDan2 &&
            t1.m_dan2 == t2.m_dan2 &&
            t1.m_zaklDan3 == t2.m_zaklDan3 &&
            t1.m_dan3 == t2.m_dan3 &&
            t1.m_cestSluz == t2.m_cestSluz &&
            t1.m_pouzitZboz1 == t2.m_pouzitZboz1 &&
            t1.m_pouzitZboz2 == t2.m_pouzitZboz2 &&
            t1.m_pouzitZboz3 == t2.m_pouzitZboz3 &&
            t1.m_idProvoz == t2.m_idProvoz &&
            t1.m_idPokl == t2.m_idPokl;
}

bool operator!=(const EetTrzba &t1, const EetTrzba &t2)
{
    return !(t1 == t2);
}
