﻿/***************************************************************
 * Name:      eettrzba.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2017
 * License:   GPL3
 **************************************************************/

#ifndef EETTRZBA_H
#define EETTRZBA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include "eet/eet.h"

class EetTrzba {
public:
    EetTrzba() : m_id(-1), m_odeslana(false), m_prvniZaslani(PRVNI), m_idProvoz(-1), m_datTrzby(wxDateTime::Now()), m_celkTrzba(0.0), m_rezim(STANDARDNI), m_fakturaid(-1), m_zavpohid(-1) {}
    EetTrzba(int id, bool odeslana, bool later, ZASLANI prvni_zaslani, const wxString &dic_popl, const wxString &dic_poverujiciho, int id_provoz,
             const wxString &id_pokl, const wxString &porad_cis, const wxDateTime &dat_trzby, double celk_trzba, const wxString &zakl_nepodl_dph, const wxString &zakl_dan1,
             const wxString &dan1, const wxString &zakl_dan2, const wxString &dan2, const wxString &zakl_dan3, const wxString &dan3, const wxString &cest_sluz, const wxString &pouzit_zboz1,
             const wxString &pouzit_zboz2, const wxString &pouzit_zboz3, const wxString &urceno_cerp_zuct, const wxString &cerp_zuct, REZIM rezim, const wxString &pkp,
             const wxString &bkp, const wxString &fik, int fakturaid, int zavpohid);

    bool isValid() const;
    int id() const;
    void setId(int id);
    bool odeslana() const;
    void setOdeslana(bool odeslana);
    ZASLANI prvniZaslani() const;
    void setPrvniZaslani(const ZASLANI &prvniZaslani);
    wxString dicPopl() const;
    void setDicPopl(const wxString &dicPopl);
    wxString dicPoverujiciho() const;
    void setDicPoverujiciho(const wxString &dicPoverujiciho);
    int idProvoz() const;
    void setIdProvoz(int idProvoz);
    wxString idPokl() const;
    void setIdPokl(const wxString &idPokl);
    wxString poradCis() const;
    void setPoradCis(const wxString &poradCis);
    wxDateTime datTrzby() const;
    void setDatTrzby(const wxDateTime &datTrzby);
    double celkTrzba() const;
    void setCelkTrzba(double celkTrzba);
    wxString zaklNepodlDph() const;
    void setZaklNepodlDph(const wxString &zaklNepodlDph);
    wxString zaklDan1() const;
    void setZaklDan1(const wxString &zaklDan1);
    wxString dan1() const;
    void setDan1(const wxString &dan1);
    wxString zaklDan2() const;
    void setZaklDan2(const wxString &zaklDan2);
    wxString dan2() const;
    void setDan2(const wxString &dan2);
    wxString zaklDan3() const;
    void setZaklDan3(const wxString &zaklDan3);
    wxString dan3() const;
    void setDan3(const wxString &dan3);
    wxString cestSluz() const;
    void setCestSluz(const wxString &cestSluz);
    wxString pouzitZboz1() const;
    void setPouzitZboz1(const wxString &pouzitZboz1);
    wxString pouzitZboz2() const;
    void setPouzitZboz2(const wxString &pouzitZboz2);
    wxString pouzitZboz3() const;
    void setPouzitZboz3(const wxString &pouzitZboz3);
    wxString urcenoCerpZuct() const;
    void setUrcenoCerpZuct(const wxString &urcenoCerpZuct);
    wxString cerpZuct() const;
    void setCerpZuct(const wxString &cerpZuct);
    REZIM rezim() const;
    void setRezim(const REZIM &rezim);
    wxString pkp() const;
    void setPkp(const wxString &pkp);
    wxString bkp() const;
    void setBkp(const wxString &bkp);
    wxString fik() const;
    void setFik(const wxString &fik);
    int fakturaid() const;
    void setFakturaid(int fakturaid);
    int zavpohid() const;
    void setZavpohid(int zavpohid);
    void setEetdata(const EetData &data);
    friend bool operator==(const EetTrzba &t1, const EetTrzba &t2);
    friend bool operator!=(const EetTrzba &t1, const EetTrzba &t2);
    bool later() const;
    void setLater(bool later);
private:
    int m_id;
    bool m_odeslana;
    bool m_later;
    ZASLANI m_prvniZaslani;
    wxString m_dicPopl;
    wxString m_dicPoverujiciho;
    int m_idProvoz;
    wxString m_idPokl;
    wxString m_poradCis;
    wxDateTime m_datTrzby;
    double m_celkTrzba;
    wxString m_zaklNepodlDph;
    wxString m_zaklDan1;
    wxString m_dan1;
    wxString m_zaklDan2;
    wxString m_dan2;
    wxString m_zaklDan3;
    wxString m_dan3;
    wxString m_cestSluz;
    wxString m_pouzitZboz1;
    wxString m_pouzitZboz2;
    wxString m_pouzitZboz3;
    wxString m_urcenoCerpZuct;
    wxString m_cerpZuct;
    REZIM m_rezim;
    wxString m_pkp;
    wxString m_bkp;
    wxString m_fik;
    int m_fakturaid;
    int m_zavpohid;
};

#endif  /* EETTRZBA_H */

